<?php defined('IN_HS') or exit('Access Denied'); ?>
<?php include template('member','header'); ?>

<script language="javascript">
<?php
sajax_show_javascript();
?>
function do_sub(){
var c = document.getElementById("dd_msg");
var name = document.getElementById("bbsname").value;
var username = document.getElementById("username").value;
c.style.display="block";
c.innerHTML = "<span class='font06'>正在激活,请稍后...</span>";
x_doSub(name,username,do_sub_cb);

function do_sub_cb(z) {
  if(z=="true")
  {
alert("恭喜您,论坛激活成功");
window.location.href='/bbs';
}
else
{
document.getElementById("dd_msg").innerHTML = z;
}
}
}
//-->
</script>

<DIV class=main>

<?php include template('member','left_member'); ?>

<DIV class="ad_rbarB boxC">
<DIV class=columnC><SPAN class="l_tit f_l">激活论坛/玩家论坛</SPAN></DIV>
<?php if($acted[bbsname]) { ?>
<script language="JavaScript">
function jump(){
window.open("/bbs/index.php","_self");
}
document.onLoad = jump();
</script>
<h1 style="color:Green;margin-top:100px">您已经激活了论坛！</h1>
<?php } else { ?>
<DIV class="tipsboxB boxE">
<H5>什么是论坛昵称，我为什么需要论坛昵称？</H5>
<DIV 
class=cont>论坛昵称是在论坛发贴时显示出来的名称。与帐号不同，论坛昵称的作用是保护用户帐号的安全。<BR>
 论坛昵称是唯一的且只能设置一次，不可二次修改，请用户认真对待。<BR>
  论坛昵称命名规则：长度0-15个字符，请尽量使用中文。</DIV>
</DIV>
<DIV class=tipsboxC id=dd_msg style="DISPLAY: none"><SPAN 
class=font06></SPAN></DIV>
<TABLE class=regform cellSpacing=0 cellPadding=0 width="80%" align=center 
border=0>
  <TBODY>
  <TR>
    <TH>论坛昵称： </TH>
    <TD colSpan=2><INPUT class="inputA" id="bbsname" name="bbsname"></TD></TR>
  <TR>
    <TH>&nbsp; </TH>
    <TD colSpan=2>
      <INPUT type="hidden" id="username" name="username" value="<?php echo $username;?>">
      <input type="submit" class="hsbtn" name="submit" value="激活" onclick="do_sub()">
</TD></TR>
</form>
</TBODY></TABLE>
<?php } ?>
</DIV>
</DIV>

<?php include template('member','footer'); ?>
